Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.event
Class PropertyChangeListenerList

    java.lang.Object
      com.maryanovsky.gwtutils.client.event.PropertyChangeListenerList

    public class PropertyChangeListenerList

extends Object

A convenience class for managing PropertyChangeListeners.

Author:
  Maryanovsky Alexander

Constructor Summary
`PropertyChangeListenerList(String[] propertyNames)` Creates a new `PropertyChangeListenerList` which will manage listeners to changes in the specified list of properties.

Method Summary
`void` | `add(String propertyName, PropertyChangeListener listener)` Adds the specified listener to be notified when the property with the specified name changes.
`void` | `firePropertyChanged(Object source, String propertyName, Object oldValue, Object newValue)` Notifies all registered listeners of a change in the specified property.
`void` | `remove(String propertyName, PropertyChangeListener listener)` Removes the specified listener from being notified when the property with the specified name changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyChangeListenerList

    public PropertyChangeListenerList(String[] propertyNames)

  Creates a new `PropertyChangeListenerList` which will manage listeners to changes in the specified list of properties.

Method Detail

### add

    public void add(String propertyName,
                    PropertyChangeListener listener)

  Adds the specified listener to be notified when the property with the specified name changes.

### remove

    public void remove(String propertyName,
                       PropertyChangeListener listener)

  Removes the specified listener from being notified when the property with the specified name changes.

### firePropertyChanged

    public void firePropertyChanged(Object source,
                                    String propertyName,
                                    Object oldValue,
                                    Object newValue)

  Notifies all registered listeners of a change in the specified property. Note that if `oldValue` and `newValue` are equal, no listeners are notified.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD